import { AbstractRepository } from '@crosslab/service-common';
import { RoleModel } from '../model.js';
export class RoleRepository extends AbstractRepository {
    dependencies = {};
    constructor() {
        super('Role');
    }
    dependenciesMet() {
        return true;
    }
    initialize(entityManager) {
        this.repository = entityManager.getRepository(RoleModel);
    }
    async write(model, data) {
        if (data.name)
            model.name = data.name;
        if (data.description)
            model.description = data.description;
    }
    async format(model) {
        return {
            name: model.name,
            description: model.description ?? undefined,
        };
    }
}
//# sourceMappingURL=role.js.map