/**
 * This file was automatically generated by openapi-codegeneration.
 * DO NOT MODIFY IT BY HAND. Instead, modify the source OpenAPI file,
 * and run openapi-codegeneration to regenerate this file.
 */
import express from "express";
import operations from "../operations/index.js";
import { ValidationError } from "./types.js";
import { validateGetExperimentsInput, validateGetExperimentsOutput, validatePostExperimentsInput, validatePostExperimentsOutput, validateGetExperimentsByExperimentIdInput, validateGetExperimentsByExperimentIdOutput, validatePatchExperimentsByExperimentIdInput, validatePatchExperimentsByExperimentIdOutput, validateDeleteExperimentsByExperimentIdInput, validateDeleteExperimentsByExperimentIdOutput, validateGetTemplatesInput, validateGetTemplatesOutput, validatePostTemplatesInput, validatePostTemplatesOutput, validateGetTemplatesByTemplateIdInput, validateGetTemplatesByTemplateIdOutput, validatePatchTemplatesByTemplateIdInput, validatePatchTemplatesByTemplateIdOutput, validateDeleteTemplatesByTemplateIdInput, validateDeleteTemplatesByTemplateIdOutput } from "./requestValidation.js";
export default function router() {
    const router = express.Router();
    router.get("/experiments", async (req, res, next) => {
        try {
            if (!validateGetExperimentsInput()) {
                throw new ValidationError("Request validation failed", validateGetExperimentsInput.errors, 400);
            }
            const result = await operations.getExperiments(req);
            if (!validateGetExperimentsOutput(result)) {
                throw new ValidationError("Response validation failed", validateGetExperimentsOutput.errors, 500);
            }
            for (const headerName in result.headers) {
                const header = result.headers[headerName];
                if (header) {
                    res.setHeader(headerName, header);
                }
            }
            return res.status(result.status).send(result.body);
        }
        catch (error) {
            next(error);
            return;
        }
    });
    router.post("/experiments", async (req, res, next) => {
        const body = req.body;
        try {
            if (!validatePostExperimentsInput(body)) {
                throw new ValidationError("Request validation failed", validatePostExperimentsInput.errors, 400);
            }
            const result = await operations.postExperiments(req, body);
            if (!validatePostExperimentsOutput(result)) {
                throw new ValidationError("Response validation failed", validatePostExperimentsOutput.errors, 500);
            }
            for (const headerName in result.headers) {
                const header = result.headers[headerName];
                if (header) {
                    res.setHeader(headerName, header);
                }
            }
            return res.status(result.status).send(result.body);
        }
        catch (error) {
            next(error);
            return;
        }
    });
    router.get("/experiments/:experiment_id", async (req, res, next) => {
        const parameters = {
            "experiment_id": req.params["experiment_id"]
        };
        try {
            if (!validateGetExperimentsByExperimentIdInput(parameters)) {
                throw new ValidationError("Request validation failed", validateGetExperimentsByExperimentIdInput.errors, 400);
            }
            const result = await operations.getExperimentsByExperimentId(req, parameters);
            if (!validateGetExperimentsByExperimentIdOutput(result)) {
                throw new ValidationError("Response validation failed", validateGetExperimentsByExperimentIdOutput.errors, 500);
            }
            for (const headerName in result.headers) {
                const header = result.headers[headerName];
                if (header) {
                    res.setHeader(headerName, header);
                }
            }
            return res.status(result.status).send(result.body);
        }
        catch (error) {
            next(error);
            return;
        }
    });
    router.patch("/experiments/:experiment_id", async (req, res, next) => {
        const parameters = {
            "experiment_id": req.params["experiment_id"],
            "changedURL": req.query["changedURL"]
        };
        const body = req.body;
        try {
            if (!validatePatchExperimentsByExperimentIdInput(parameters, body)) {
                throw new ValidationError("Request validation failed", validatePatchExperimentsByExperimentIdInput.errors, 400);
            }
            const result = await operations.patchExperimentsByExperimentId(req, parameters, body);
            if (!validatePatchExperimentsByExperimentIdOutput(result)) {
                throw new ValidationError("Response validation failed", validatePatchExperimentsByExperimentIdOutput.errors, 500);
            }
            for (const headerName in result.headers) {
                const header = result.headers[headerName];
                if (header) {
                    res.setHeader(headerName, header);
                }
            }
            return res.status(result.status).send(result.body);
        }
        catch (error) {
            next(error);
            return;
        }
    });
    router.delete("/experiments/:experiment_id", async (req, res, next) => {
        const parameters = {
            "experiment_id": req.params["experiment_id"]
        };
        try {
            if (!validateDeleteExperimentsByExperimentIdInput(parameters)) {
                throw new ValidationError("Request validation failed", validateDeleteExperimentsByExperimentIdInput.errors, 400);
            }
            const result = await operations.deleteExperimentsByExperimentId(req, parameters);
            if (!validateDeleteExperimentsByExperimentIdOutput(result)) {
                throw new ValidationError("Response validation failed", validateDeleteExperimentsByExperimentIdOutput.errors, 500);
            }
            for (const headerName in result.headers) {
                const header = result.headers[headerName];
                if (header) {
                    res.setHeader(headerName, header);
                }
            }
            return res.status(result.status).send(result.body);
        }
        catch (error) {
            next(error);
            return;
        }
    });
    router.get("/templates", async (req, res, next) => {
        try {
            if (!validateGetTemplatesInput()) {
                throw new ValidationError("Request validation failed", validateGetTemplatesInput.errors, 400);
            }
            const result = await operations.getTemplates(req);
            if (!validateGetTemplatesOutput(result)) {
                throw new ValidationError("Response validation failed", validateGetTemplatesOutput.errors, 500);
            }
            for (const headerName in result.headers) {
                const header = result.headers[headerName];
                if (header) {
                    res.setHeader(headerName, header);
                }
            }
            return res.status(result.status).send(result.body);
        }
        catch (error) {
            next(error);
            return;
        }
    });
    router.post("/templates", async (req, res, next) => {
        const body = req.body;
        try {
            if (!validatePostTemplatesInput(body)) {
                throw new ValidationError("Request validation failed", validatePostTemplatesInput.errors, 400);
            }
            const result = await operations.postTemplates(req, body);
            if (!validatePostTemplatesOutput(result)) {
                throw new ValidationError("Response validation failed", validatePostTemplatesOutput.errors, 500);
            }
            for (const headerName in result.headers) {
                const header = result.headers[headerName];
                if (header) {
                    res.setHeader(headerName, header);
                }
            }
            return res.status(result.status).send(result.body);
        }
        catch (error) {
            next(error);
            return;
        }
    });
    router.get("/templates/:template_id", async (req, res, next) => {
        const parameters = {
            "template_id": req.params["template_id"]
        };
        try {
            if (!validateGetTemplatesByTemplateIdInput(parameters)) {
                throw new ValidationError("Request validation failed", validateGetTemplatesByTemplateIdInput.errors, 400);
            }
            const result = await operations.getTemplatesByTemplateId(req, parameters);
            if (!validateGetTemplatesByTemplateIdOutput(result)) {
                throw new ValidationError("Response validation failed", validateGetTemplatesByTemplateIdOutput.errors, 500);
            }
            for (const headerName in result.headers) {
                const header = result.headers[headerName];
                if (header) {
                    res.setHeader(headerName, header);
                }
            }
            return res.status(result.status).send(result.body);
        }
        catch (error) {
            next(error);
            return;
        }
    });
    router.patch("/templates/:template_id", async (req, res, next) => {
        const parameters = {
            "template_id": req.params["template_id"]
        };
        const body = req.body;
        try {
            if (!validatePatchTemplatesByTemplateIdInput(parameters, body)) {
                throw new ValidationError("Request validation failed", validatePatchTemplatesByTemplateIdInput.errors, 400);
            }
            const result = await operations.patchTemplatesByTemplateId(req, parameters, body);
            if (!validatePatchTemplatesByTemplateIdOutput(result)) {
                throw new ValidationError("Response validation failed", validatePatchTemplatesByTemplateIdOutput.errors, 500);
            }
            for (const headerName in result.headers) {
                const header = result.headers[headerName];
                if (header) {
                    res.setHeader(headerName, header);
                }
            }
            return res.status(result.status).send(result.body);
        }
        catch (error) {
            next(error);
            return;
        }
    });
    router.delete("/templates/:template_id", async (req, res, next) => {
        const parameters = {
            "template_id": req.params["template_id"]
        };
        try {
            if (!validateDeleteTemplatesByTemplateIdInput(parameters)) {
                throw new ValidationError("Request validation failed", validateDeleteTemplatesByTemplateIdInput.errors, 400);
            }
            const result = await operations.deleteTemplatesByTemplateId(req, parameters);
            if (!validateDeleteTemplatesByTemplateIdOutput(result)) {
                throw new ValidationError("Response validation failed", validateDeleteTemplatesByTemplateIdOutput.errors, 500);
            }
            for (const headerName in result.headers) {
                const header = result.headers[headerName];
                if (header) {
                    res.setHeader(headerName, header);
                }
            }
            return res.status(result.status).send(result.body);
        }
        catch (error) {
            next(error);
            return;
        }
    });
    return router;
}
//# sourceMappingURL=routes.js.map